{

	saved_yet [0]
	
	Init[(s)
	{
		if (saved_yet = 0)
		{
			saved_yet = 1;
			
			SetNationality(1);
	
			GiveWeapon(56);
			PlayAnimation(7);
	
			SetAttackDistance(15,15);
			SetState_Patrol(0);
			SetLineOfSight(0);
	
			SetRunning();
			SetWander(0);
		}
	}]

	Respawn[ (where)
	{
		SetDead( false );
		SetRunning();
		PlayAnimation(7);
		SetHealth(512);
		
		SetNationality(1);
		GiveWeapon(56);
		
		SetAttackDistance(15,15);
		SetState_Patrol(0);
		SetLineOfSight(0);

		SetWander(0);
		
		switch( where )
		{
			case 0
			{
				rand = Random(1,2);
				
				Level.saved_GunFight2 = Level.saved_GunFight2 +1;
				SetPosition(10896,18048,128);
				
				if (rand = 1)
				{
					FollowPath("square1");
				}
				if (rand = 2)
				{
					FollowPath("square2");
				}
			}
			
			case 1
			{
				Level.saved_GunFight2 = Level.saved_GunFight2 +1;
				SetPosition(20052,22144,296);
				FollowPath("square3");
			}
		}
	}]
	
	DelayReached[(dy)
	{
		if (dy = 5)
		{
			Respawn(0);
		}
		
		if (dy = 10)
		{
			Respawn(1);
		}
	}]

}